## org.eclipse.datatools.sqltools.db.generic.parser
Interface GenericSQLParserVisitor

    public interface GenericSQLParserVisitor

Method Summary
`java.lang.Object` `visit(ASTDeclareComma node, java.lang.Object data)`
`java.lang.Object` `visit(ASTDeclareKeyword node, java.lang.Object data)`
`java.lang.Object` `visit(ASTExpression node, java.lang.Object data)`
`java.lang.Object` `visit(ASTSQLDataType node, java.lang.Object data)`
`java.lang.Object` `visit(ASTSQLDelimiter node, java.lang.Object data)`
`java.lang.Object` `visit(ASTSQLParam node, java.lang.Object data)`
`java.lang.Object` `visit(ASTSQLStatement node, java.lang.Object data)`
`java.lang.Object` `visit(ASTStart node, java.lang.Object data)`
`java.lang.Object` `visit(SimpleNode node, java.lang.Object data)`

Method Detail

### visit

    java.lang.Object visit(SimpleNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTStart node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTSQLDelimiter node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTSQLStatement node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTSQLDataType node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTDeclareKeyword node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTDeclareComma node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTSQLParam node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTExpression node,
                           java.lang.Object data)